Marianne ANSSI

CERT-FR

Centre gouvernemental de veille, d'alerte et de réponse aux attaques informatiques

logo ANSSI
Informations utiles

Que faire en cas d'intrusion ?

Les systèmes obsolètes

Liens utiles

 

L'ANSSI recrute

 

 

Les documents du CERT-FR

Publications récentes

Les alertes en cours

Les bulletins d'actualité

Les notes d'information

Année en cours Archive

 

Les Flux RSS du CERT-FR

Flux RSS complet

RSS

Flux RSS des alertes

RSS

Flux RSS SCADA

RSS

 

CERTA-2006-AVI-491

Imprimer ce document

Version PDF

À propos du CERT-FR

Le CERT-FR

Nous contacter

Contact us ( Drapeau anglais )

A propos du site

Communauté CSIRT

Les CSIRT

Le FIRST

L'EGC

 
Archives du CERT-FR

Année 2017 Archive

Année 2016 Archive

Année 2015 Archive

Année 2014 Archive

Année 2013 Archive

Année 2012 Archive

Année 2011 Archive

Année 2010 Archive

Année 2009 Archive

Année 2008 Archive

Année 2007 Archive

Année 2006 Archive

Année 2005 Archive

Année 2004 Archive

Année 2003 Archive

Année 2002 Archive

Année 2001 Archive

Année 2000 Archive

 

S . G . D . S . N
Agence nationale
de la sécurité des
systèmes d'information

République Française Paris, le 13 novembre 2006
No CERTA-2006-AVI-491

Affaire suivie par :

CERTA

AVIS DU CERTA

Objet : Plusieurs vulnérabilités de Citrix MetaFrame


Conditions d'utilisation de ce document : http://www.certa.ssi.gouv.fr/certa/apropos.html
Dernière version de ce document : http://www.certa.ssi.gouv.fr/site/CERTA-2006-AVI-491

Gestion du document


Tableau 1: Gestion du document
Référence CERTA-2006-AVI-491
Titre Plusieurs vulnérabilités de Citrix MetaFrame
Date de la première version 13 novembre 2006
Date de la dernière version -
Source(s) Avis de sécurité Citrix CTX111186 du 08 novembre 2006
Pièce(s) jointe(s) Aucune

Une gestion de version détaillée se trouve à la fin de ce document.

1 Risque

  • Exécution de code arbitraire à distance ;
  • Déni de service à distance ;
  • contournement de la politique de sécurité.

2 Systèmes affectés

  • Citrix Presentation Server 4.0 pour Microsoft Windows 2003 ;
  • Citrix Presentation Server 4.0 pour Microsoft Windows 2000 ;
  • Citrix Presentation Server 4.0 x64 Edition ;
  • Citrix MetaFrame Presentation Server 3.0 pour Microsoft Windows 2003 ;
  • Citrix MetaFrame Presentation Server 3.0 pour Microsoft Windows 2000 ;
  • Citrix MetaFrame XP 1.0 pour Microsoft Windows 2000.

3 Description

Plusieurs vulnérabilités ont été identifiées dans les produits Citrix MetaFrame Presentation Server. Elles concernent le service IMA (pour Independant Management Architecture) , en charge de la communication de serveur à serveur dans le cadre d'une gestion centralisée.

Certains paquets échangés ne seraient pas traités de manière correcte. En particulier, l'une des vulnérabilités impliquerait la fonction IMA_SECURE_DecryptData1() dans la bibliothèque ImaSystem.dll. Une personne malveillante pourrait donc emettre vers les ports en écoute du service IMA (ports TCP 2512 et 2513 par défaut), afin d'exploiter l'une de ces vulnérabilités. Cela lui permettrait d'interrompre inopinément le service, voire d'exécuter, à distance et sous certaines conditions, des commandes arbitraires.

4 Solution

Se référer au bulletin de sécurité de l'éditeur Citrix pour l'obtention des correctifs (cf. section Documentation).

5 Documentation

Gestion détaillée du document

13 novembre 2006
version initiale.


CERTA
2014-01-17
Premier Ministre / Secrétariat Général de la Défense et de la Sécurité Nationale / Agence nationale de la sécurité des systèmes d'information webmestre Dernière mise à jour : le 2017-06-28